Loading...
Searching...
No Matches
SpirvIR.h File Reference

Defines methods for constructing and encoding instructions into the Khronos format specification known as the Standard Portable Intermediate Representation for Vulkan (SPIR-V). More...

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

void | Halide::Internal::spirv_ir_test ()
| Internal test for SPIR-V IR.

## Detailed Description

Defines methods for constructing and encoding instructions into the Khronos format specification known as the Standard Portable Intermediate Representation for Vulkan (SPIR-V).

These class interfaces adopt Halide's conventions for its own IR, but is implemented as a stand-alone optional component that can be enabled as required for certain runtimes (eg Vulkan).

NOTE: This file is only used internally for CodeGen! DO NOT add this file to the list of exported Halide headers in the src/CMakeFiles.txt or the top level Makefile.

Definition in file SpirvIR.h.